ipod touch error code 6? Help appreciated!

Discussion in 'iPod touch Hacks' started by Inspired, Mar 2, 2010.

  1. Inspired macrumors regular

    Inspired

    Joined:
    Jun 9, 2009
    #1
    Hi, my brother recently decided to install an the official iphone 3.1.3 firmware on his jailbroken ipod touch. After trying to do so, he ran into error 6 and that the computer also said that there was a USB malfunction. So I was wondering if there is any solution for this problem.

    Here's what we've tried.

    1) he said he tried teh DFU mode thing(I'm not ipod touch/iphone savvy, so I dont know what that means). The screen will light up and iTunes would ask us to re-install a new firmware, but every time it gets to the point of almost finishing it says it ran into an error(6).

    2) We tried another official ipod touch USB.

    3) We tried to install iphone 3.1.3 firmware on a different computer.

    4) We've tried googling for a solution without finding one that works.

    Any tech ipod touch/iphone experts out there?

    PS: would this ipod be considered brick? if so, oh **** -_-
     
  2. slomifier macrumors regular

    Joined:
    Mar 25, 2008
    #2
    ok:
    1. NEVER install 3.1.3. NEVER. From what I've been told, it does NOTHING except screw over jailbreak users. It adds no features

    2.
    This error can stem from a few things. Its a general error telling you that something went wrong while restoring:
    -The NEW iPod charger plugs run on 5v, while the OLD plugs use a 10v current. Find a NEW plug (or buy one), and see if that helps
    -If apple is having server issues, apparently that might effect your ability to restore, because they have to verify the restore or some crap like that
    -Could just be a general hardware problem. If this is the case, your going to have to take it in

    3.
    Try this though, if you can:
    -Grab a copy of 3.1.2 (google for it)
    -Go into iTunes, and plug in your iPod
    -Go to the iPod tab (if you can't even get to this, your probably going to have to take it in)
    -If you see a "restore" button, SHIFT-Click it.
    -Find the 3.1.2 ipw. (I think thats the extension)
    -Open it
    -It SHOULD load 3.1.2 onto your iPod

    Hope that helps
     
  3. Penguissimo macrumors 6502a

    Penguissimo

    Joined:
    Nov 17, 2009
    Location:
    Michigan
    #3
    A few points...

    First of all, make sure you have the correct firmware for your iPod. These firmware files are device-specific; you can't just pick a random 3.1.3 Touch firmware, and you DEFINITELY can't install an iPhone firmware. Which generation Touch do you have?

    Regarding your specific error code:
    Lastly, if you have a third-generation Touch and you didn't save your SHSH on Saurik's server's BEFORE 3.1.3 WAS RELEASED, the advice to restore to 3.1.2 will be useless. If you have any other generation of Touch, I believe you can jailbreak 3.1.3 anyway.
     

Share This Page